/* See the file Distribution for distribution terms.
	(c) Copyright 1994 Ari Halberstadt */

/* This file contains definitions for using my popup CDEF.

	950623 aih - made compatible with C++
	9506?? aih - split rez definitions into separate header
	9505?? aih - added pragma align for compatability with PPC
	940315 aih - split out of PopupLib.h */

#ifndef POPUP_CDEF
#define POPUP_CDEF

/*	Include constants that are also used in resources. */
#include "PopupCDEFResources.h"

/*	In prior versions of the CDEF, I had all resource definitions
	and C language definitions in one file. Defining
	POPUP_CDEF_RESOURCE_ONLY prevented the C language definitions
	from being compiled. Now, I've decided it's better to separate
	the definitions that are common to C and Rez input files into
	their own header, "PopupCDEFResources.h", so you no longer
	need to define POPUP_CDEF_RESOURCE_ONLY, though I've left
	the test for it in this file for backwards compatability. */
#ifndef POPUP_CDEF_RESOURCE_ONLY

#ifndef __CONTROLS__
#include <Controls.h>
#endif

#ifndef __MENUS__
#include <Menus.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

/*	This is the same structure as the popupPrivateData record described
	in IM-VI, p3-19. By making this the first element in the popup
	structure, the CDEF is made more compatible with Apple's CDEF. */

#if powerc || __powerc
	#pragma options align=mac68k
#endif

typedef struct {
	MenuHandle	mHandle;		/* handle to the popup's menu */
	short			mID;			/* id of popup's menu */
} PopupPrivateType, *PopupPrivatePtr, **PopupPrivateHandle;

#if powerc || __powerc
	#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif /* POPUP_CDEF_RESOURCE_ONLY */

#endif /* POPUP_CDEF */
